@echo off

REM ###################
REM START_CONFIGURATION

REM Fill the following the location of the SDP
SET rpp_sdp="C:\Program Files\IBM\SDP"

REM Fill the following line with the Jazz uri.
SET jazz_uri=https://localhost:9443/ccm/

REM Fill the following line with your Jazz user id.
SET jazz_id=JAZZ

REM Fill the following line with the project area name.
SET project_area="TEST"

REM Fill the following line with the Jazz stream.
SET jazz_Stream="TEST"

REM Fill the following line with the repository workspace name.
SET jazz_wsp="TEST_WKS"

REM Fill the following line with the RPP location name.
SET Location="TEST"

REM Fill the following line with the snapshot name.
SET Snapshot="xx"

REM Fill the following line with the changeset comment.
SET Comment="xx"

REM Fill the following line with the local workspace.
SET LocalLWS="C:\Migration\Test"

REM Fill the following line with the workspace drive.
REM MUST MATCH WITH THE LocalLWS DRIVE
SET DRIVE=C:

REM If create_cobcomp_opt=-x specific components for COBOLs project will be created.
SET create_cobcomp_opt=

REM File the following line with the work item for changes sets links.
SET WorkItemNumber="0"

REM File the following line with the upload strategy
SET UploadStrategy="global"


REM END_CONFIGURATION
REM #################

SET path="%rpp_sdp%""\scmtools\eclipse";%PATH%

REM Fill the following line with the zOS mapping folder.
REM If there is no language definition in your 
REM context then put an folder that not exists.
SET ZCOMPFOLDER="%LocalLWS%\.metadata\zCompMap"

REM Fill the following line with the log file name
SET TIMESTAMP=%date%_%time%
SET TIMESTAMP=%TIMESTAMP: =%
SET TIMESTAMP=%TIMESTAMP::=%
SET TIMESTAMP=%TIMESTAMP:/=%
SET TIMESTAMP=%TIMESTAMP:.=%
SET TIMESTAMP=%TIMESTAMP:,=%
SET LOGFILE="%LocalLWS%\.metadata\.scmtoolsentries.%TIMESTAMP%.log"

IF EXIST %LogFile% DEL %LogFile%
IF EXIST %LogFile%.error DEL %LogFile%.error
IF NOT EXIST "%LocalLWS%" MKDIR "%LocalLWS%"
IF NOT EXIST "%LocalLWS%\.metadata" MKDIR "%LocalLWS%\.metadata"

%DRIVE%
CD %LocalLWS%

SET /P jazz_password="Enter password: "
scm login -r %jazz_uri% -n Batch -u %jazz_id% -P %jazz_password% -c
IF %ERRORLEVEL% NEQ 0 GOTO END
SET jazz_uri_ori=%jazz_uri%
SET jazz_uri=Batch

IF "%1%"=="repair" GOTO REPAIR
IF "%1%"=="status" GOTO STATUS
IF "%1%"=="load" GOTO LOAD
IF "%1%"=="accept" GOTO ACCEPT
IF "%1%"=="showstatus" GOTO SHOWSTATUS

REM Do not create the repository workspace if .jazz5 exists
IF EXIST %LocalLWS%\.jazz5 GOTO UPLOAD
ECHO Create Workspace
scm create ws -u %jazz_id% -r %jazz_uri% -s %jazz_Stream% %jazz_wsp% >> %LogFile%
IF %ERRORLEVEL% EQU 0 GOTO UPLOAD
ECHO Creation of workspace failed: %jazz_wsp%
GOTO END

:UPLOAD
time /T >> %LogFile%
ECHO Upload the sandbox (DO NOT STOP AND MANIPULATE THIS WINDOWS UNTIL THE END). 
ECHO For log(s) look at :
ECHO   %LogFile% for detail of standard log
ECHO   %LogFile%.error for error(s)
ECHO   %LogFile%.zcompmap for zos language definition association(s)
ECHO "scm  rpp-uploadsandbox -r %jazz_uri% -w %jazz_wsp% -l %Location% -p %project_area%  -s %jazz_Stream%  -c %Comment% -t %UploadStrategy% -k %WorkItemNumber%  %create_cobcomp_opt% %LocalLWS% >> %LogFile% 2>%LogFile%.error" >> %LogFile%
IF EXIST "%LocalLWS%\.metadata\.zcompmap.out.log" DEL /Q "%LocalLWS%\.metadata\.zcompmap.out.log"
IF EXIST "%LocalLWS%\.metadata\.zcompmap.err.log" DEL /Q "%LocalLWS%\.metadata\.zcompmap.err.log"
scm  rpp-uploadsandbox -r %jazz_uri% -w %jazz_wsp% -l %Location% -p %project_area%  -s %jazz_Stream%  -c %Comment% -t %UploadStrategy% -k %WorkItemNumber% %create_cobcomp_opt% %LocalLWS% >> %LogFile% 2>%LogFile%.error
IF %ERRORLEVEL% NEQ 0 ECHO Upload Sandbox failed
IF NOT EXIST %ZCOMPFOLDER% GOTO SNAPSHOT
CALL %rpp_sdp%\rpp\rpp.bat --rpp-zcompmap  --repository-uri %jazz_uri_ori% --username %jazz_id% --password %jazz_password% --mapfolder %ZCOMPFOLDER% --workspace %jazz_wsp% --data %LocalLWS% --log %LogFile%.zcompmap >> %LogFile%
IF EXIST "%LocalLWS%\.metadata\.zcompmap.out.log" COPY /Y %LogFile% + "%LocalLWS%\.metadata\.zcompmap.out.log"  %LogFile% >  null.log
IF EXIST "%LocalLWS%\.metadata\.zcompmap.err.log" COPY /Y %LogFile%.error + "%LocalLWS%\.metadata\.zcompmap.err.log"  %LogFile%.error >  null.log
scm  rpp-uploadsandbox -r %jazz_uri% -w %jazz_wsp% -l %Location% -p %project_area%  -s %jazz_Stream%  -c %Comment% -t %UploadStrategy% -k %WorkItemNumber% %create_cobcomp_opt% %LocalLWS% >> %LogFile% 2>>%LogFile%.error
IF EXIST "%LocalLWS%\.metadata\.zcompmap.out.log" DEL /Q "%LocalLWS%\.metadata\.zcompmap.out.log"
IF EXIST "%LocalLWS%\.metadata\.zcompmap.err.log" DEL /Q "%LocalLWS%\.metadata\.zcompmap.err.log"

:SNAPSHOT
time /T >> %LogFile%
ECHO Creation of snapshot
ECHO Creation of snapshot >>%LogFile%
scm create ss -r %jazz_uri% %jazz_Stream% -n %Snapshot% >> %LogFile% 2>>%LogFile%.error" 
IF %ERRORLEVEL% NEQ 0  ECHO Creation of snapshot failed: %Snapshot%
time /T >> %LogFile%
GOTO END

:STATUS
time /T >> %LogFile%
ECHO Cheking overall status into status.json (can be long)
ECHO Cheking overall status into status.json (can be long) >>%LogFile%
scm show status --json >  status.json 2>>%LogFile%.error"
time /T >> %LogFile%
IF %ERRORLEVEL% EQU 0 GOTO SHOWSTATUS 
ECHO Cheking overall status failed
GOTO END

:SHOWSTATUS
time /T >> %LogFile%
ECHO Display overall status into status.txt
ECHO Display overall status into status.txt>>%LogFile%
scm rpp-showstatus -i status.json -v >  status.txt 2>>%LogFile%.error" 
IF %ERRORLEVEL% NEQ 0  ECHO Cheking overall status failed
time /T >> %LogFile%
GOTO END

:REPAIR
time /T >> %LogFile%
ECHO Repair the repository workspace (can be very long)
ECHO Repair the repository workspace (can be very long) >>%LogFile%
scm repair -r %jazz_uri%  >>%LogFile% 2>>%LogFile%.error" 
IF %ERRORLEVEL% NEQ 0  ECHO Repair the repository workspace failed
time /T >> %LogFile%
GOTO END

:LOAD
time /T >> %LogFile%
ECHO Load the repository workspace (can be long)
ECHO Load the repository workspace (can be long) >>%LogFile%
scm load -r %jazz_uri% %jazz_wsp%  >>%LogFile%  2>>%LogFile%.error" 
IF %ERRORLEVEL% NEQ 0  ECHO Load the repository workspace failed
time /T >> %LogFile%
GOTO END

:ACCEPT
time /T >> %LogFile%
ECHO Accept changes in the repository workspace (can be long)
ECHO Accept changes in the repository workspace (can be long) >>%LogFile%
scm accept -r %jazz_uri% --flow-components  >>%LogFile% 2>>%LogFile%.error"
IF %ERRORLEVEL% NEQ 0  ECHO Accept changes in the repository workspace failed
time /T >> %LogFile%
GOTO END

:END
scm logout -r %jazz_uri%
IF EXIST null.log DEL null.log
pause
